Bug 998040 - On retrace-server 'manager' page, if 'case no.' is filled in, display clickable link to case in the 'Running tasks' and 'Finished tasks'
On retrace-server 'manager' page, if 'case no.' is filled in, display clickab...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
: EasyFix, TestCaseProvided
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 16:14 EDT by Dave Wysochanski
Modified: 2015-03-22 20:42 EDT (History)
6 users (show)

See Also:
Fixed In Version: retrace-server-1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 14:25:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2013-08-16 16:14:46 EDT
Description of problem:
This is probably a simple fix as well.  If someone fills in the 'case number' field, on the manager page, rather than displaying the number, display a clickable link to the case of the following form:
https://c.na7.visual.force.com/apex/Case_View?sbstr=00123456

You may want to make a configuration parameter (/etc/retrace-server.conf) in case this changes.  I'll see if I can get some input from the people dealing with case management which may know whether this is likely to change.  It's been the same for a while, but a config parameter is probably the way to go longer term.

Example /etc/retrace-server.conf parameter
# Prefix URL to prepend to 'case no.' for clickable link on 'manager' page
CaseNumberPrefixURL=https://c.na7.visual.force.com/apex/Case_View?sbstr=00

Then in the code you just do:
CaseNumberURL = CaseNumberPrefixURL + $(cat <taskdir>/caseno)

Version-Release number of selected component (if applicable):
retrace-server-1.9-6.el6.noarch


How reproducible:
Always

Steps to Reproduce:
1. Go to 'manager' page which displays tasks.
2. Look for a task which is in either 'Running Tasks" or "Finished tasks" list, and that has a non-blank 'case no.' field.


Actual results:
It just displays as a number, which is ok, but could be better.


Expected results:
A clickable link to the case would be an productivity add.


Additional info:
Should be an easy fix / win.
Comment 1 Michal Toman 2013-08-20 03:14:28 EDT
Easy, just one question. If I understand correctly, 
CaseNumberPrefixURL=https://c.na7.visual.force.com/apex/Case_View?sbstr=00
will break as soon as the case numbers reach 7 digits in length.

What about
CaseNumberPrefixURL=https://c.na7.visual.force.com/apex/Case_View?sbstr=%08d where '%08d' is a standard python format specifier and the value of 'caseno' will be passed as the only argument?
Comment 2 Dave Wysochanski 2013-08-20 11:22:36 EDT
(In reply to Michal Toman from comment #1)
> Easy, just one question. If I understand correctly, 
> CaseNumberPrefixURL=https://c.na7.visual.force.com/apex/Case_View?sbstr=00
> will break as soon as the case numbers reach 7 digits in length.
> 
Indeed, you are correct!

> What about
> CaseNumberPrefixURL=https://c.na7.visual.force.com/apex/Case_View?sbstr=%08d
> where '%08d' is a standard python format specifier and the value of 'caseno'
> will be passed as the only argument?

Sounds very good to me!

Thanks!
Comment 3 Michal Toman 2013-08-21 04:10:54 EDT
Fixed in upstream.

commit 50eb409732a2ce50dfde9bd00f44cae073006512
Author: Michal Toman <mtoman@redhat.com>
Date:   Wed Aug 21 10:10:01 2013 +0200

    manager: add possibility to make case number clickable
Comment 4 Fedora Update System 2013-08-21 07:37:29 EDT
retrace-server-1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.10-1.el6
Comment 5 Fedora Update System 2013-08-21 15:01:34 EDT
Package retrace-server-1.10-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing retrace-server-1.10-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11280/retrace-server-1.10-1.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-22 14:25:44 EDT
retrace-server-1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.